Bug 971933 - QMP: add RHEL's vendor extension prefix
QMP: add RHEL's vendor extension prefix
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Laszlo Ersek
Virtualization Bugs
:
Depends On:
Blocks: 971938 987757
  Show dependency treegraph
 
Reported: 2013-06-07 11:46 EDT by Luiz Capitulino
Modified: 2014-07-07 05:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-20.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:48:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luiz Capitulino 2013-06-07 11:46:04 EDT
This is about adding this commit to qemu-kvm-rhel7 (possibly to qmp-commands.h):

+/* Red Hat Monitor's prefix (reversed fully qualified domain) */
+#define RFQDN_REDHAT "__com.redhat_"

I find having a bz for this a bit overkill, as this could be easily added with the first RHEL extension we add to QMP. But it's better be safe than worry.
Comment 2 Laszlo Ersek 2013-11-21 09:08:47 EST
qmp-commands.h is generated through layers of obscurity. I'm looking for a more static place for the define.

I think I'll add it to include/monitor/monitor.h, which corresponds to the macro's current location in RHEL-6:

commit 8d99c4ad4d9fa53768bfbca8606457f8179f4404
Author: Luiz Capitulino <lcapitulino@redhat.com>
Date:   Fri May 14 22:49:19 2010 -0300

    Monitor: Make RFQDN_REDHAT public
Comment 4 Miroslav Rezanina 2013-11-28 02:35:58 EST
Fix included in qemu-kvm-1.5.3-20.el7
Comment 6 Jun Li 2013-12-13 02:37:59 EST
Reproduce :
Version-Release number of selected component (if applicable):
qemu-kvm-1.5.1-2.el7.x86_64

{"execute":"query-commands"}
{"return": [{"name": "chardev-remove"}, {"name": "chardev-add"}, {"name": "query-tpm-types"}, {"name": "query-tpm-models"}, {"name": "query-tpm"}, {"name": "query-target"}, {"name": "query-cpu-definitions"}, {"name": "query-machines"}, {"name": "device-list-properties"}, {"name": "qom-list-types"}, {"name": "change-vnc-password"}, {"name": "nbd-server-stop"}, {"name": "nbd-server-add"}, {"name": "nbd-server-start"}, {"name": "qom-get"}, {"name": "qom-set"}, {"name": "qom-list"}, {"name": "query-block-jobs"}, {"name": "query-balloon"}, {"name": "query-migrate-capabilities"}, {"name": "migrate-set-capabilities"}, {"name": "query-migrate"}, {"name": "query-command-line-options"}, {"name": "query-uuid"}, {"name": "query-name"}, {"name": "query-spice"}, {"name": "query-vnc"}, {"name": "query-mice"}, {"name": "query-status"}, {"name": "query-kvm"}, {"name": "query-pci"}, {"name": "query-cpus"}, {"name": "query-blockstats"}, {"name": "query-block"}, {"name": "query-chardev"}, {"name": "query-events"}, {"name": "query-commands"}, {"name": "query-version"}, {"name": "human-monitor-command"}, {"name": "qmp_capabilities"}, {"name": "add_client"}, {"name": "expire_password"}, {"name": "set_password"}, {"name": "block_set_io_throttle"}, {"name": "block_passwd"}, {"name": "query-fdsets"}, {"name": "remove-fd"}, {"name": "add-fd"}, {"name": "closefd"}, {"name": "getfd"}, {"name": "set_link"}, {"name": "balloon"}, {"name": "drive-mirror"}, {"name": "blockdev-snapshot-sync"}, {"name": "transaction"}, {"name": "block-job-complete"}, {"name": "block-job-resume"}, {"name": "block-job-pause"}, {"name": "block-job-cancel"}, {"name": "block-job-set-speed"}, {"name": "block-commit"}, {"name": "block-stream"}, {"name": "block_resize"}, {"name": "netdev_del"}, {"name": "netdev_add"}, {"name": "dump-guest-memory"}, {"name": "client_migrate_info"}, {"name": "migrate_set_downtime"}, {"name": "migrate_set_speed"}, {"name": "query-migrate-cache-size"}, {"name": "migrate-set-cache-size"}, {"name": "migrate_cancel"}, {"name": "migrate"}, {"name": "xen-set-global-dirty-log"}, {"name": "xen-save-devices-state"}, {"name": "ringbuf-read"}, {"name": "ringbuf-write"}, {"name": "inject-nmi"}, {"name": "pmemsave"}, {"name": "memsave"}, {"name": "cpu-add"}, {"name": "cpu"}, {"name": "send-key"}, {"name": "device_del"}, {"name": "device_add"}, {"name": "system_powerdown"}, {"name": "system_reset"}, {"name": "system_wakeup"}, {"name": "cont"}, {"name": "stop"}, {"name": "screendump"}, {"name": "change"}, {"name": "eject"}, {"name": "quit"}]}
----
Can not find RHEL's vendor extension prefix command.
-------------------------
Verify this bug:
Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-21.el7.x86_64
----
{"execute":"query-commands"}
{"return": [{"name": "query-rx-filter"}, {"name": "blockdev-add"}, {"name": "chardev-remove"}, {"name": "chardev-add"}, {"name": "query-tpm-types"}, {"name": "query-tpm-models"}, {"name": "query-tpm"}, {"name": "query-target"}, {"name": "query-cpu-definitions"}, {"name": "query-machines"}, {"name": "device-list-properties"}, {"name": "qom-list-types"}, {"name": "change-vnc-password"}, {"name": "nbd-server-stop"}, {"name": "nbd-server-add"}, {"name": "nbd-server-start"}, {"name": "qom-get"}, {"name": "qom-set"}, {"name": "qom-list"}, {"name": "query-block-jobs"}, {"name": "query-balloon"}, {"name": "query-migrate-capabilities"}, {"name": "migrate-set-capabilities"}, {"name": "query-migrate"}, {"name": "query-command-line-options"}, {"name": "query-uuid"}, {"name": "query-name"}, {"name": "query-spice"}, {"name": "query-vnc"}, {"name": "query-mice"}, {"name": "query-status"}, {"name": "query-kvm"}, {"name": "query-pci"}, {"name": "query-cpus"}, {"name": "query-blockstats"}, {"name": "query-block"}, {"name": "query-chardev"}, {"name": "query-events"}, {"name": "query-commands"}, {"name": "query-version"}, {"name": "human-monitor-command"}, {"name": "qmp_capabilities"}, {"name": "add_client"}, {"name": "expire_password"}, {"name": "set_password"}, {"name": "block_set_io_throttle"}, {"name": "block_passwd"}, {"name": "query-fdsets"}, {"name": "remove-fd"}, {"name": "add-fd"}, {"name": "closefd"}, {"name": "getfd"}, {"name": "set_link"}, {"name": "balloon"}, {"name": "block-job-complete"}, {"name": "block-job-resume"}, {"name": "block-job-pause"}, {"name": "block-job-cancel"}, {"name": "block-job-set-speed"}, {"name": "block_resize"}, {"name": "netdev_del"}, {"name": "netdev_add"}, {"name": "dump-guest-memory"}, {"name": "client_migrate_info"}, {"name": "migrate_set_downtime"}, {"name": "migrate_set_speed"}, {"name": "query-migrate-cache-size"}, {"name": "migrate-set-cache-size"}, {"name": "migrate_cancel"}, {"name": "migrate"}, {"name": "xen-set-global-dirty-log"}, {"name": "xen-save-devices-state"}, {"name": "ringbuf-read"}, {"name": "ringbuf-write"}, {"name": "inject-nmi"}, {"name": "pmemsave"}, {"name": "memsave"}, {"name": "cpu-add"}, {"name": "cpu"}, {"name": "send-key"}, {"name": "device_del"}, {"name": "device_add"}, {"name": "system_powerdown"}, {"name": "system_reset"}, {"name": "system_wakeup"}, {"name": "cont"}, {"name": "stop"}, {"name": "__com.redhat_qxl_screendump"}, {"name": "screendump"}, {"name": "change"}, {"name": "eject"}, {"name": "quit"}]}
-----
Can find command "__com.redhat_qxl_screendump".

Hi Laszlo,
As the above test, I am not sure whether this bug has been verified or not? Could you help me to check it. Thank you.

Best Regards,
Jun Li
Comment 7 Laszlo Ersek 2013-12-15 13:45:57 EST
Hello Jun Li,

(In reply to Jun Li from comment #6)

> Hi Laszlo,
> As the above test, I am not sure whether this bug has been verified or not?
> Could you help me to check it. Thank you.

This bug is not verifiable in itself. The backport doesn't include any commands, it just introduces the prefix internally.

The bug dependency chain is:
(1) bug 971933 (this bug), which blocks
(2) bug 971938, which blocks
(3) bug 895041.

(1) cannot be verified in itself. (2) can be verified, but (3) is actually a testcase for (3) as well. So it's best to verify only (3), and then flip (1) and (2) to VERIFIED as well.

I can see that you've already checked (3) -- see bug 895041 comment 17 --, so you can simply flip all three bugs to VERIFIED. Thanks!
Comment 8 Jun Li 2013-12-15 23:30:22 EST
(In reply to Laszlo Ersek from comment #7)
> Hello Jun Li,
> 
> (In reply to Jun Li from comment #6)
> 
> > Hi Laszlo,
> > As the above test, I am not sure whether this bug has been verified or not?
> > Could you help me to check it. Thank you.
> 
> This bug is not verifiable in itself. The backport doesn't include any
> commands, it just introduces the prefix internally.
> 
> The bug dependency chain is:
> (1) bug 971933 (this bug), which blocks
> (2) bug 971938, which blocks
> (3) bug 895041.
> 
> (1) cannot be verified in itself. (2) can be verified, but (3) is actually a
> testcase for (3) as well. So it's best to verify only (3), and then flip (1)
> and (2) to VERIFIED as well.
> 
> I can see that you've already checked (3) -- see bug 895041 comment 17 --,
> so you can simply flip all three bugs to VERIFIED. Thanks!

So base on comment 7, bug 895041 comment 17 and bug 895041 comment 10, this bug has been verified.
Comment 9 Jun Li 2013-12-15 23:31:53 EST
So base on comment 7, bug 895041 comment 17 and bug 971938 comment 10, this bug has been verified.
Comment 11 Ludek Smid 2014-06-13 05:48:53 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.